curl --request POST \
--url https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid}/split \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"transactions": {
"amount": 54.19,
"description": "Chevron Gas",
"category_guid": "CAT-b6d61a19-30a7-e852-2703-bdfb4072289e",
"memo": "Chips and Soda"
}
}
'import requests
url = "https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid}/split"
payload = { "transactions": {
"amount": 54.19,
"description": "Chevron Gas",
"category_guid": "CAT-b6d61a19-30a7-e852-2703-bdfb4072289e",
"memo": "Chips and Soda"
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactions: {
amount: 54.19,
description: 'Chevron Gas',
category_guid: 'CAT-b6d61a19-30a7-e852-2703-bdfb4072289e',
memo: 'Chips and Soda'
}
})
};
fetch('https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid}/split', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"account_guid": "ACT-0af29528-bb91-447f-b5de-85c1c42593e5",
"account_id": "FdvkkAgLS0nbDNUujrblz6rYDSl5w-tTLwYRgIxe7jw",
"amount": 5003.9,
"category": "Paycheck",
"category_guid": "CAT-982ea9e6-3f0e-0c5b-611b-6657a10ba819",
"check_number_string": null,
"created_at": "2024-12-20T18:52:36Z",
"currency_code": null,
"date": "2024-12-20",
"description": "MX Technologies",
"extended_transaction_type": null,
"guid": "TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1",
"id": "1734681600000-178fa8095c154a55b9172f977b4c5f9a-0",
"is_bill_pay": false,
"is_direct_deposit": false,
"is_expense": false,
"is_fee": false,
"is_income": true,
"is_international": null,
"is_manual": false,
"is_overdraft_fee": false,
"is_payroll_advance": false,
"is_recurring": null,
"is_subscription": false,
"latitude": null,
"localized_description": null,
"localized_memo": null,
"longitude": null,
"member_guid": "MBR-78b14c5f-7297-4fb5-a966-65ac45f74d8",
"member_is_managed_by_user": true,
"memo": "Transactions",
"merchant_category_code": null,
"merchant_guid": "MCH-8cc3b01a-1c52-47d4-970d-30f8ee5566f1",
"merchant_location_guid": null,
"metadata": null,
"original_description": "MX TECHNOLOGIES PAYMENT",
"posted_at": "2024-12-20T12:00:00Z",
"status": "POSTED",
"top_level_category": "Income",
"transacted_at": "2024-12-20T12:00:00Z",
"type": "CREDIT",
"updated_at": "2024-12-20T18:52:38Z",
"user_guid": "USR-ef7a82f6-d6c1-42c4-9061-bdece5c4d44e",
"user_id": null
}
]
}Create split transactions
has_been_split field will automatically be updated to true and the child transactions’ parent_guid will have the transaction guid of the parent. The total amount of the child transactions must equal the amount of the parent transaction. Once a transaction has been split it can’t be split again. In order to re-split a transaction, it must first be un-split. This can be done by calling the Delete Split Transactions endpoint. Calling this endpoint will delete the existing child transactions and update the parent transaction’s has_been_split field to false. You can then re-split the parent transaction by calling Create Split Transaction again.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique id for a transaction.
The unique identifier for a user, beginning with the prefix USR-.
Body
Hide child attributes
Hide child attributes
Amount of money you want to re-categorize.
54.19
Description for the split transaction.
"Chevron Gas"
Unique identifier of the category.
"CAT-b6d61a19-30a7-e852-2703-bdfb4072289e"
Memo for the split transaction
"Chips and Soda"
Response
OK
Hide child attributes
Hide child attributes
"ACT-0af29528-bb91-447f-b5de-85c1c42593e5"
"FdvkkAgLS0nbDNUujrblz6rYDSl5w-tTLwYRgIxe7jw"
5003.9
"Paycheck"
"CAT-982ea9e6-3f0e-0c5b-611b-6657a10ba819"
null
"2024-12-20T18:52:36Z"
null
"2024-12-20"
"MX Technologies"
null
"TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1"
"1734681600000-178fa8095c154a55b9172f977b4c5f9a-0"
false
false
false
false
true
null
false
false
false
null
false
null
null
null
null
"MBR-78b14c5f-7297-4fb5-a966-65ac45f74d8"
true
"Transactions"
null
"MCH-8cc3b01a-1c52-47d4-970d-30f8ee5566f1"
null
null
"MX TECHNOLOGIES PAYMENT"
"2024-12-20T12:00:00Z"
"POSTED"
"Income"
"2024-12-20T12:00:00Z"
"CREDIT"
"2024-12-20T18:52:38Z"
"USR-ef7a82f6-d6c1-42c4-9061-bdece5c4d44e"
null

